# occupant_dict = {
#     "occupant_uu_id": "79def7b2-017e-46a4-8ed0-27e67130ebec",
#     "build_part_uu_id": "1a661e95-ad23-4898-b751-44cde024bcbe",
#     "event_uu_id_list": [""]
# }


def generate_query_with_function_codes(function_codes):
    print(
        """
        SELECT x.uu_id FROM public.events x 
        where x.function_code in("""
    )
    codes = ""
    for function_code in function_codes:
        codes += f"'{function_code}',\n"
    print(codes[:-2])
    print(
        """)
        ORDER BY x.uu_id 
        """
    )
